Huh, clang 12.0 ...
Always fun to use latest clang and deal with their arbitrary warning additions :-)
Either use NOWERROR or slience "-Wxor-used-as-pow".